curl --request PUT \
--url http://co-mind-platform-host/v1/admin/entra-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tenantId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"emailDomains": [
"<string>"
]
}
'{
"id": "<string>",
"name": "<string>",
"tenantId": "<string>",
"clientId": "<string>",
"emailDomains": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Update a Microsoft Entra ID configuration. Admin role required.
curl --request PUT \
--url http://co-mind-platform-host/v1/admin/entra-configs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tenantId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"emailDomains": [
"<string>"
]
}
'{
"id": "<string>",
"name": "<string>",
"tenantId": "<string>",
"clientId": "<string>",
"emailDomains": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Bearer token authentication. Supports two token types:
POST /v1/auth/loginPOST /v1/api-tokens, format: cmnd_<tokenId>.<secret>The Entra config ID